File python-peppercorn.changes of Package python-peppercorn

-------------------------------------------------------------------
Mon Oct 14 14:13:47 UTC 2019 - Matej Cepl <mcepl@suse.com>

- Replace %fdupes -s with plain %fdupes; hardlinks are better.

-------------------------------------------------------------------
Tue May 21 07:49:00 UTC 2019 - pgajdos@suse.com

- version update to 0.6
  * Add support for Python 3.4, 3.5, 3.6 and 3.7.
  * Drop support for Python 2.6, 3.2 and 3.3.
  * Add contributing.md and update docs.
- deleted patches
  - peppercorn-0.5-fix-pylons-theme.patch (upstreamed)

-------------------------------------------------------------------
Tue Dec 18 23:13:00 UTC 2018 - Jan Engelhardt <jengelh@inai.de>

- Grammar fixes for the description. Remove an excessive Requires.

-------------------------------------------------------------------
Thu Jun 21 15:21:32 UTC 2018 - hpj@urpla.net

- add patch peppercorn-0.5-fix-pylons-theme.patch to build docs properly

-------------------------------------------------------------------
Wed Oct  4 18:54:04 UTC 2017 - bruno@ioda-net.ch

- Build doc with python3 only 

-------------------------------------------------------------------
Tue Sep 19 15:08:47 UTC 2017 - bruno@ioda-net.ch

- Migrate to singlespec with spec-cleanup 

-------------------------------------------------------------------
Fri Feb  6 17:15:55 UTC 2015 - hpj@urpla.net

- version 0.5
  - Switch to an iterative parser rather than a recursive parser to avoid DoS
    attacks.
  - Add the ignore operation. The subsequent data elements in the stream will
    be ignored until the corresponding __end__ marker. This feature is useful
    for form elements designed for client-side scripting, such as a “select all”
    checkbox in the middle of a list of other kinds of fields.
  - Add support for Python 3.3.
  - Drop support for Python 2.5 / Jython.

-------------------------------------------------------------------
Mon Aug  5 16:41:09 UTC 2013 - hpj@urpla.net

- version 0.4: initial build